Method: projects.locations.apps.retrieveToolSchema

擷取指定工具的結構定義。系統會針對工具的指定執行個體即時計算結構定義。

HTTP 要求

POST https://ces.googleapis.com/v1beta/{parent=projects/*/locations/*/apps/*}:retrieveToolSchema

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

這是必要旗標,工具/工具集所屬應用程式的資源名稱。格式:projects/{project}/locations/{location}/apps/{app}

要求主體

要求主體包含下列結構的資料:

JSON 表示法
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "tool": string,
  "toolsetTool": {
    object (ToolsetTool)
  }
  // End of mutually exclusive fields.
}
欄位
要擷取結構定義的工具 ID。可以是持續性工具,也可以是工具集中的工具。以下列出互斥欄位。回應中最多會設定一個欄位:
tool

string

選用。要擷取結構定義的工具名稱。格式:projects/{project}/locations/{location}/apps/{app}/tools/{tool}

toolsetTool

object (ToolsetTool)

選用。要擷取結構定義的工具集工具。工具集中只能有一個工具符合述詞。否則會傳回錯誤。

互斥欄位的結尾。

回應主體

ToolService.RetrieveToolSchema 的回應訊息。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "inputSchema": {
    object (Schema)
  },
  "outputSchema": {
    object (Schema)
  },

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "tool": string,
  "toolsetTool": {
    object (ToolsetTool)
  }
  // End of mutually exclusive fields.
}
欄位
inputSchema

object (Schema)

工具輸入參數的結構定義。

outputSchema

object (Schema)

工具輸出參數的結構定義。

結構定義適用的工具 ID。以下列出互斥欄位。回應中最多會設定一個欄位:
tool

string

結構定義適用的工具名稱。格式:projects/{project}/locations/{location}/apps/{app}/tools/{tool}

toolsetTool

object (ToolsetTool)

結構定義適用的工具集工具。

互斥欄位的結尾。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

詳情請參閱Authentication Overview。

IAM 權限

需要 parent 資源的下列 IAM 權限:

  • ces.tools.get

詳情請參閱 IAM 說明文件。